#import <objc/Object.h>

typedef struct observer_ {
    int active;		/* Whether or not the observer is currently active */
    id anObject;	/* The port on which observer is waiting for notes */
    char *action;	/* The action it is waiting for */
    char *filter;
} observerrec;

@interface ObserveDispatch:Object
{
	id	observerTable;	// Table of observer lists

}

- initObserver:(observerrec *)anObserver withObject:(id)anObject
    forAction:(char *)anAction withFilter:(char *)aFilter;
- (int)addObserver:(id)anObject 
	forAction:(char *)actionList 
	withFilter:(char *)aFilter;
- (int)addObserver:(id)anObject 
	forAction:(char *)actionList;
- observerListForAction:(char *)anAction;

@end